﻿using PDF_Office.ViewModels.PropertyPanel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDF_Office.Views.PropertyPanel
{
    /// <summary>
    /// TextEditProperty.xaml 的交互逻辑
    /// </summary>
    public partial class TextEditProperty : UserControl
    {
        public TextEditProperty()
        {
            InitializeComponent();
            FontColorBox.SelectedColorHandler += FontColorBox_SelectedColorHandler;
        }

        private void FontColorBox_SelectedColorHandler(object sender, Color e)
        {
            var data = this.DataContext as TextEditPropertyViewModel;
            if (data != null)
            {
                data.SelectedColorCommand?.Execute(e);
            }

        }
        
        private void BtnTextAlign_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
